/** BoxTester.java provides simple unit tests for the methods in class Box.
 * @author Joel Adams, for Alice+Java.
 */

public class BoxTester {
	public static void main(String[] args) {
		testVolume();
	}
	
	public static void testVolume() {
		System.out.print("Testing Box.volume(): ");
		double volume = Box.volume(1, 1, 1);
		assert volume == 1;
		System.out.print(" 1 ");
		volume = Box.volume(2, 2, 2);
		assert volume == 8;
		System.out.print(" 2 ");
		volume = Box.volume(2, 3, 4);
		assert volume == 24.0;
		System.out.print(" 3 ");
		System.out.println(" Passed!");		
	}
}